package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name="tb_lib_user_history")
public class LibUserHistory extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String userId;
	private String author;
	private String title;
	private String bookDetailId;
	private Integer money;
	private String detailId;
	private Integer orderType;
	private Date start_time;
	private Date end_time;
	private  String vipId;

	/**
	 * 由于出现换书，在借书记录增加图书馆id
	 */
	private String libId;

	/**
	 * 书籍主题 ，便于查询统计，如果出现不统一，再由book_info 表更新到此表
	 */
	private String bookTheme;

	/**
	 * 书籍封面，同上
	 */
	private String bookImg;

	/**
	 * 简介，同上
	 */
	private String summary;

	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getBookDetailId() {
		return bookDetailId;
	}
	public void setBookDetailId(String bookDetailId) {
		this.bookDetailId = bookDetailId;
	}
	public Integer getMoney() {
		return money;
	}
	public void setMoney(Integer money) {
		this.money = money;
	}
	public String getDetailId() {
		return detailId;
	}
	public void setDetailId(String detailId) {
		this.detailId = detailId;
	}
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	public Date getStart_time() {
		return start_time;
	}
	public void setStart_time(Date start_time) {
		this.start_time = start_time;
	}
	public Date getEnd_time() {
		return end_time;
	}
	public void setEnd_time(Date end_time) {
		this.end_time = end_time;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getBookTheme() {
		return bookTheme;
	}

	public void setBookTheme(String bookTheme) {
		this.bookTheme = bookTheme;
	}

	public String getBookImg() {
		return bookImg;
	}

	public void setBookImg(String bookImg) {
		this.bookImg = bookImg;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}
}
